package dk.vajhoej.vms.indexf;

import dk.vajhoej.record.InfoProvider;
import dk.vajhoej.record.LengthProvider2;

/**
 * Class IndexFProvider provides lengths for various variable length items in INDEXF.SYS.
 */
public class IndexFProvider implements InfoProvider {
	@Override
	public int getLength(Object o, int n) {
		return -1;
	}
	private int space1(IndexFRecord o2) {
		if(!o2.isValidFile()) return 0;
		return o2.getIdOffset() * 2 - o2.getFileHeaderSize();
	}
	@Override
	public int getElements(Object o, int n) {
		IndexFRecord o2 = (IndexFRecord)o;
		if(n == 21) { // space between FileHeader and IdentArea (should be 0)
			return space1(o2);
		} else if(n == o2.getSpace2Index()) { // rest of record including MapArea and ACL but excluding checksum
			return 512 - o2.getFileHeaderSize() - space1(o2) - o2.getIdentAreaSize() - 2;
		} else {
			return -1;
		}
	}
	@Override
	public LengthProvider2 getLengthProvider(Object o, int n) {
		return null;
	}
	@Override
	public int getMaxLength() {
		return 512;
	}
	@Override
	public boolean hasConvertSelector() {
		return true;
	}
	@Override
	public int convertSelector(Object o) {
		Integer o2 = (Integer)o;
		if(o2 == 2 || o2 == 5) {
			return o2;
		} else {
			return 0;
		}
	}
}
