package dk.vajhoej.vms.indexf;

import dk.vajhoej.record.ArrayField;
import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

/**
 * Class IndexFRecordNone represents an INDEXF.SYS record for a none-file.
 */
@Struct
public class IndexFRecordNone extends IndexFRecord {
	@ArrayField(elements=-1) // elements dynamically calculated
	@StructField(n=22,type=FieldType.INT1)
	private byte[] space2 = new byte[512];
	@StructField(n=23,type=FieldType.INT2)
	private short checksum;
	@Override
	public short getChecksum() {
		return checksum;
	}
	@Override
	public int getSpace2Index() {
		return 22;
	}
	@Override
	public int getIdentAreaSize() {
		return 0;
	}
}
