package dk.vajhoej.vms.indexf;

import dk.vajhoej.record.ArrayField;
import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

/**
 * Class PartialHomeBlock represents a home block within INDEXF.SYS (only a few fields supported).
 */
@Struct
public class PartialHomeBlock {
	@ArrayField(elements=14)
	@StructField(n=0,type=FieldType.INT1)
	private byte[] other1 = new byte[14];
	@StructField(n=1,type=FieldType.INT2)
	private int cluster;
	@ArrayField(elements=16)
	@StructField(n=2,type=FieldType.INT1)
	private byte[] other2 = new byte[16];
	@StructField(n=3,type=FieldType.INT2)
	private int ibmapsize;
	@ArrayField(elements=478)
	@StructField(n=4,type=FieldType.INT1)
	private byte[] other4 = new byte[478];
	/**
	 * Get cluster size.
	 * @return cluster size
	 */
	public int getCluster() {
		return cluster;
	}
	/**
	 * Get bitmap size.
	 * @return bitmap size
	 */
	public int getIbmapsize() {
		return ibmapsize;
	}
}
